TextTag (jCharts-0.7.5 API)
Keywords: org.jCharts.chartText.TextTag,TextTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.chartText
Class TextTag

    java.lang.Object
      |
      +--org.jCharts.chartText.TextTag

All Implemented Interfaces:
  HTMLTestable, java.io.Serializable

Direct Known Subclasses:
  BarValueGroup.BarValue

public class TextTag
extends java.lang.Object
implements HTMLTestable, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`private java.util.Hashtable` | `attributes`
`private java.awt.Font` | `derivedFont`
`private java.awt.Font` | `font`
`private float` | `fontAscent`
`private float` | `fontDescent`
`private float` | `height`
`private boolean` | `isDerived`
`private boolean` | `isHidden`
`private java.lang.String` | `text`
`private java.awt.font.TextLayout` | `textLayout`
`private float` | `width`
`private float` | `xPosition`
`private float` | `yPosition`

Constructor Summary
`TextTag(java.lang.String text, java.awt.Font baseFont, java.awt.Font derivedFont, java.awt.font.FontRenderContext fontRenderContext)` Constructor when using transformed (derived) fonts The need for this arises because the java metrics classes return either 0 or very strange values for the width and height of a string (TextLayout, LineMetrics, etc..) when the font is derived
`TextTag(java.lang.String text, java.awt.Font baseFont, java.awt.font.FontRenderContext fontRenderContext)` Default constructor - for untransformed fonts.

Method Summary
`void` | `addAttribute(java.lang.String name, java.lang.Object o)`
`java.lang.Object` | `getAttribute(java.lang.String name)`
`float` | `getBottomSide()`
`float` | `getFontAscent()`
`float` | `getFontDescent()`
`float` | `getHeight()`
`boolean` | `getHidden()`
`java.awt.geom.Rectangle2D.Float` | `getRectangle()`
`float` | `getRightSide()`
`java.lang.String` | `getText()`
`float` | `getWidth()`
`float` | `getXPosition()`
`float` | `getYPosition()`
`void` | `render(java.awt.Graphics2D g2d, float x, float y)` Renders the text, at the position - renders from the top (instead of baseline)
`void` | `render(java.awt.Graphics2D g2d, java.awt.Paint fontColor)` Renders the text, at the position - renders from the top (instead of baseline)
`void` | `setHidden(boolean b)`
`void` | `setPosition(float x, float y)`
`void` | `setXPosition(float x)`
`void` | `setYPosition(float y)`
`void` | `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### xPosition

    private float xPosition

### yPosition

    private float yPosition

### textLayout

    private java.awt.font.TextLayout textLayout

### attributes

    private java.util.Hashtable attributes

### isHidden

    private boolean isHidden

### width

    private float width

### height

    private float height

### fontAscent

    private float fontAscent

### fontDescent

    private float fontDescent

### isDerived

    private boolean isDerived

### derivedFont

    private java.awt.Font derivedFont

### text

    private java.lang.String text

### font

    private java.awt.Font font

Constructor Detail

### TextTag

    public TextTag(java.lang.String text,
                   java.awt.Font baseFont,
                   java.awt.font.FontRenderContext fontRenderContext)

  Default constructor - for untransformed fonts.

### TextTag

    public TextTag(java.lang.String text,
                   java.awt.Font baseFont,
                   java.awt.Font derivedFont,
                   java.awt.font.FontRenderContext fontRenderContext)

  Constructor when using transformed (derived) fonts The need for this arises because the java metrics classes return either 0 or very strange values for the width and height of a string (TextLayout, LineMetrics, etc..) when the font is derived

Parameters:
  `text` -
  `baseFont` - is the original (untransformed) font.
  `derivedFont` - is the transformed font
  `fontRenderContext` -

Method Detail

### getWidth

    public float getWidth()

### getHeight

    public float getHeight()

### getFontAscent

    public float getFontAscent()

### getFontDescent

    public float getFontDescent()

### setPosition

    public void setPosition(float x,
                            float y)

### setXPosition

    public void setXPosition(float x)

### setYPosition

    public void setYPosition(float y)

### getXPosition

    public float getXPosition()

### getYPosition

    public float getYPosition()

### getRightSide

    public float getRightSide()

### getBottomSide

    public float getBottomSide()

### getRectangle

    public java.awt.geom.Rectangle2D.Float getRectangle()

### setHidden

    public void setHidden(boolean b)

### getHidden

    public boolean getHidden()

### getText

    public java.lang.String getText()

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.lang.Object o)

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

### render

    public void render(java.awt.Graphics2D g2d,
                       java.awt.Paint fontColor)

  Renders the text, at the position - renders from the top (instead of baseline)

  Parameters:
    `g2d` -
    `fontColor` -

### render

    public void render(java.awt.Graphics2D g2d,
                       float x,
                       float y)

  Renders the text, at the position - renders from the top (instead of baseline)

  Parameters:
    `g2d` -

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Specified by:
    `toHTML` in interface `HTMLTestable`
  Parameters:
    `htmlGenerator` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD